%define bigfov 0
# distro_section==tainted builds libpano with fov > 160 support 
# wich is patent covered so disabled by default (for core section)

%if "%{?distro_section}" == "tainted"
%define bigfov 1
%endif

%define lib_major	3
%define libname		%mklibname pano13_ %{lib_major}
%define develname	%mklibname pano13 -d

# comment out if not pre release
#define prel	rc2

%define rel	1

Name:		libpano13
Version:	2.9.20
Release:	%mkrel %{?prel:0.%{prel}.}%{rel}
Summary:	Panorama Tools library
License:	GPLv2+
Group:		System/Libraries
URL:		http://panotools.sourceforge.net/
Source:		https://sourceforge.net/projects/panotools/files/libpano13/%{name}-%{version}//%{name}-%{version}%{?prel:_%{prel}}.tar.gz
BuildRequires:	java-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)

%description
Helmut Dersch's Panorama Tools.

%if %bigfov
This package is in the 'tainted' section because there is a patent if FOV is > 160.
%endif

%package tools
Summary:	Panorama Tools library
Group:		Graphics/Utilities

%description tools
Utilies for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --enable-shared=yes --enable-static=no
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete

%files tools
%doc README.linux README.windows
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/libpano13.so.%{lib_major}{,.*}

%files -n %{develname}
%{_includedir}/pano13
%{_libdir}/libpano13.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat May 29 2021 daviddavid <daviddavid> 2.9.20-1.mga8
+ Revision: 1728779
- new version: 2.9.20, fixes CVE-2021-20307 (mga#28997)

* Wed Jan 13 2021 wally <wally> 2.9.20-0.rc2.2.mga8.tainted
+ Revision: 1671529
- fix release tag

* Wed Jan 13 2021 daviddavid <daviddavid> 2.9.20-0._rc2.1.mga8
+ Revision: 1671496
- new version: 2.9.20_rc2

* Fri Feb 14 2020 umeabot <umeabot> 2.9.20-0._rc1.3.mga8.tainted
+ Revision: 1519183
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.9.20-0._rc1.2.mga7
+ Revision: 1299082
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 2.9.20-0._rc1.1.mga7
+ Revision: 1216286
- Update to version 2.9.20_rc1

* Fri Feb 05 2016 umeabot <umeabot> 2.9.19-3.mga6.tainted
+ Revision: 938624
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.19-2.mga5.tainted
+ Revision: 742685
- Second Mageia 5 Mass Rebuild

* Mon Aug 25 2014 fwang <fwang> 2.9.19-1.mga5.tainted
+ Revision: 667260
- bump major
- 2.9.19

* Sat Oct 19 2013 umeabot <umeabot> 2.9.18-9.mga5
+ Revision: 525880
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.9.18-8.mga4.tainted
+ Revision: 434915
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.9.18-7.mga3.tainted
+ Revision: 357943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 guillomovitch <guillomovitch> 2.9.18-6.mga3.tainted
+ Revision: 328118
- drop .la files
+ ovitters <ovitters>
- clean spec
- fix rpm group

* Fri Dec 23 2011 fwang <fwang> 2.9.18-5.mga2.tainted
+ Revision: 186417
- rebuild for new tiff

* Sat Sep 10 2011 fwang <fwang> 2.9.18-4.mga2.tainted
+ Revision: 142188
- rebuild for new libpng

* Thu Jun 23 2011 fwang <fwang> 2.9.18-3.mga2.tainted
+ Revision: 112581
- correct obsoletes

* Thu Jun 23 2011 fwang <fwang> 2.9.18-2.mga2
+ Revision: 112577
- fix libmajor

* Wed Jun 22 2011 fwang <fwang> 2.9.18-1.mga2.tainted
+ Revision: 111930
- update file list
- New version 2.9.18

* Sun May 29 2011 cjw <cjw> 2.9.17-3.mga1.tainted
+ Revision: 100689
- add support for tainted builds

* Thu Apr 21 2011 misc <misc> 2.9.17-2.mga1
+ Revision: 89328
- fix License
- fix BuildRequires
- be explicit about the patch options

* Fri Feb 18 2011 mikala <mikala> 2.9.17-1.mga1
+ Revision: 53477
- Remove BuildRoot
- Clean mdk macros
- imported package libpano13


* Fri Sep 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.9.17-1mdv2011.0
+ Revision: 579126
- Updated to 2.9.17.

* Thu Jul 22 2010 Nicholas Brown <nickbrown@mandriva.org> 2.9.17-0.beta2.1mdv2011.0
+ Revision: 556857
- New Version
- New Version
- New Version

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2.9.14-2mdv2010.0
+ Revision: 419753
- rebuild for new libjpeg v7

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.14-1mdv2010.0
+ Revision: 387661
- 2.9.14 final

* Tue Mar 10 2009 Nicholas Brown <nickbrown@mandriva.org> 2.9.14-0.beta2.1mdv2009.1
+ Revision: 353397
- new version

* Tue Feb 24 2009 Nicholas Brown <nickbrown@mandriva.org> 2.9.14-0.beta1.1mdv2009.1
+ Revision: 344490
- new version

* Fri Oct 24 2008 Nicholas Brown <nickbrown@mandriva.org> 2.9.12-6mdv2009.1
+ Revision: 296881
- rebuild
- better packaging to fix #45206

* Mon Aug 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.12-4mdv2009.0
+ Revision: 262842
- fix linkage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-3mdv2008.1
+ Revision: 158733
- update PLF description

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-2mdv2008.1
+ Revision: 158609
- fix devel package name

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-1mdv2008.1
+ Revision: 158477
- import libpano13


